View Issue Details

IDProjectCategoryView StatusLast Update
0014788LazarusDebuggerpublic2011-12-01 11:26
ReportermspillerAssigned ToMarc Weustink 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0014788: Log all exceptions (inside Messages dialog)
DescriptionFeature request would be an option that I you could log all exceptions that happened while running application.

Like in Visual Studio where you get:
Exception of type InvalidArgumentException raised.

It works even if the exception is caught.

try
  raise InvalidException.Create('xyz');
except
  
end;

This could be very useful if you want to limit the number of raised exception. Or if you accidentally handle some kind of the exception that you otherwise wouldn't want to. Or there are too many handled exceptions resulting in affecting the performance of an application.

There is already "Event Log" option inside a debugger but everything is disabled on Windows.

TagsNo tags attached.
Fixed in Revision30488
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Activities

Martin Friebe

2011-04-27 22:09

manager   ~0047849

Implemented in rev 30488 (by Paul)

Issue History

Date Modified Username Field Change
2009-10-12 23:13 mspiller New Issue
2009-10-12 23:13 mspiller Status new => assigned
2009-10-12 23:13 mspiller Assigned To => Marc Weustink
2009-10-12 23:13 mspiller Widgetset => Win32/Win64
2011-04-27 22:09 Martin Friebe Fixed in Revision => 30488
2011-04-27 22:09 Martin Friebe LazTarget => 0.99.0
2011-04-27 22:09 Martin Friebe Status assigned => resolved
2011-04-27 22:09 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2011-04-27 22:09 Martin Friebe Resolution open => fixed
2011-04-27 22:09 Martin Friebe Note Added: 0047849
2011-04-27 22:09 Martin Friebe Target Version => 0.99.0
2011-12-01 11:26 Marc Weustink Status resolved => closed